Carte APIs Transformations

Provides web services to create, update, and delete transformations. Calls for getting images, statuses and starting, pausing, preparing, and stopping transformations are also included.

Deprecated

Upload and execute transformation

post

DEPRECATED: This endpoint is deprecated and may be removed in future versions.

Uploads and executes transformation configuration XML file. Uploads xml file containing transformation and transformation_execution_configuration (wrapped in transformation_configuration tag) to be executed and executes it. Method relies on the input parameter to determine if xml or html reply should be produced. The transformation_configuration xml is transferred within request body.

Example Request:

POST /kettle/addTrans/?xml=Y

Request body should contain xml containing transformation_configuration (transformation and transformation_execution_configuration wrapped in transformation_configuration tag).

Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
xmlstring · enumOptional

Boolean flag set to either Y or N describing if xml or html reply should be produced.

Default: NPossible values:
Body
stringOptional

Transformation configuration XML

Responses
chevron-right
200

Request was processed and XML response is returned

text/xml

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

post
/kettle/addTrans

Generate transformation image

get

Generates PNG image of the specified transformation currently present on Carte server. Transformation name and Carte transformation ID (optional) are used for specifying which transformation to get information for. Response is a binary of the PNG image.

Example Request:

GET /kettle/transImage?name=dummy-trans
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be used for image generation.

idstringOptional

Carte id of the transformation to be used for image generation.

Responses
chevron-right
200

Request was processed

image/png
string · binaryOptional

Binary PNG image

get
/kettle/transImage

Get transformation status

get

Retrieves status of the specified transformation. Status is returned as HTML or XML output depending on the input parameters. Status contains information about last execution of the transformation.

Example Request:

GET /kettle/transStatus/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be used for status generation.

xmlstring · enumOptional

Boolean flag which defines output format Y forces XML output to be generated. HTML is returned otherwise.

Default: NPossible values:
idstringOptional

Carte id of the transformation to be used for status generation.

fromintegerOptional

Start line number of the execution log to be included into response.

Responses
chevron-right
200

Request was processed

stringOptional

XML response containing transformation status details

get
/kettle/transStatus

Prepare transformation for execution

get

Prepares previously loaded transformation for execution. Method is used for preparing previously uploaded transformation for execution by its name.

Example Request:

GET /kettle/prepareExec/?name=dummy-trans2&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be prepared for execution.

xmlstring · enumRequired

Boolean flag which sets the output format required. Use Y to receive XML response.

Possible values:
idstringOptional

Carte transformation ID of the transformation to be prepared for execution.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/prepareExec

Start transformation execution

get

Starts transformation. If the transformation is not ready, an error is returned.

Example Request:

GET /kettle/startExec/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be executed.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be executed. This parameter is optional when xml=Y is used.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/startExec

Execute transformation

get

Executes transformation previously uploaded to Carte server.

Example Request:

GET /kettle/startTrans/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be executed.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be executed. This parameter is optional when xml=Y is used.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/startTrans

Execute transformation from repository

get

Execute transformation from enterprise repository. Repository should be configured in Carte xml file. Response contains ERROR result if error happened during transformation execution.

Example Request:

GET /kettle/runTrans?trans=home%2Fadmin%2Fdummy-trans&level=Debug
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
transstringRequired

Full path to the transformation in repository.

levelstringRequired

Logging level to be used for transformation execution (i.e. Debug).

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/runTrans

Execute transformation from repository

get

Executes transformation from the specified repository. Connects to the repository provided as a parameter, loads the transformation from it and executes it. Empty response is returned or response contains output of an error happened during the transformation execution. Response contains ERROR result if error happened during transformation execution.

Example Request:

GET /kettle/executeTrans/?rep=my_repository&user=my_user&pass=my_password&trans=my_trans&level=INFO
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
repstringRequired

Repository id to connect to.

userstringRequired

User name to be used to connect to repository.

passstringRequired

User password to be used to connect to repository.

transstringRequired

Transformation name to be loaded and executed.

levelstringRequired

Logging level to be used for transformation execution.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/executeTrans

Pause transformation

get

Pauses transformation to be executed. Method is used for pausing running transformation by its name.

Example Request:

GET /kettle/pauseTrans/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be paused.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be paused. This parameter is optional when xml=Y is used.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/pauseTrans

Stop transformation

get

Stops transformation execution on Carte server.

Example Request:

GET /kettle/stopTrans/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be stopped.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be stopped. This parameter is optional when xml=Y is used.

inputOnlystring · enumOptional

Boolean flag indicates which steps to stop. Use Y to Stop input processing

Possible values:
Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/stopTrans

Remove transformation

get

Removes specified transformation from Carte server.

Example Request:

GET /kettle/removeTrans/?name=dummy-trans&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be removed.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be removed. This parameter is optional when xml=Y is used.

Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/removeTrans

Clean up transformation

get

Cleans up transformation on Carte server. Method is used for cleaning previously uploaded transformation by its name on Carte server. There are two modes for this method: 1) Clean the server sockets only or 2) Clean everything, including the transformation.

Example Request:

GET /kettle/cleanupTrans/?name=dummy-trans2&xml=Y
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
namestringRequired

Name of the transformation to be cleaned.

xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte transformation ID of the transformation to be cleaned.

socketsstring · enumOptional

Boolean flag which indicates if full clean up or sockets only is required. Use Y to clean just sockets.

Possible values:
Responses
chevron-right
200

Request was processed

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

get
/kettle/cleanupTrans

Sniff step metadata and data

get

Sniff metadata and data from the specified step of the specified transformation.

Example Request:

GET /kettle/sniffStep?trans=dummy-trans&step=tf&xml=Y&lines=10
Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
transstringRequired

Name of the transformation containing required step.

stepNamestringRequired

Name of the transformation step to collect data for.

copynrintegerOptional

Copy number of the step to be used for collecting data. If not provided 0 is used.

Default: 0
typestring · enumOptional

Type of the data to be collected (input or output).

Possible values:
xmlstring · enumOptional

Boolean flag which sets the output format required. Use Y to receive XML response.

Default: NPossible values:
idstringOptional

Carte id of the transformation to be used for step lookup.

linesintegerOptional

Number of lines to collect. If not provided 0 is used.

Default: 0
Responses
chevron-right
200

Request was processed

stringOptional

XML response containing step metadata and data

get
/kettle/sniffStep
Deprecated

Uploads and executes transformation configuration XML file to the server.

post

Uploads xml file containing transformation and transformation_execution_configuration (wrapped in transformation_configuration tag) to be executed and executes it. Method relies on the input parameter to determine if xml or html reply should be produced. The transformation_configuration xml is transferred within request body. transformation name of the executed transformation will be returned in the Response object or message describing error occurred. To determine if the call successful or not you should rely on result parameter in response.

Example Request:

POST /kettle/registerTrans/?xml=Y

Request body should contain xml containing transformation_configuration (transformation and transformation_execution_configuration wrapped in transformation_configuration tag).

Authorizations
AuthorizationstringRequired

HTTP Basic Authentication

Query parameters
xmlstring · enumOptional

Boolean flag set to either Y or N describing if xml or html reply should be produced.

Default: NPossible values:
Body
stringOptional

Transformation configuration XML

Responses
chevron-right
200

Request was processed and XML response is returned

text/xml

Standard response format for most Carte operations

resultstring · enumOptional

Result status of the operation

Possible values:
messagestringOptional

Human readable message describing the result

idstringOptional

Unique identifier for the created/modified resource

post
/kettle/registerTrans

Last updated

Was this helpful?